Name:		gppcscconnectionplugin
Version:	1.0.0
Release:	1%{?dist}
Summary:	PC/SC connection plugin for the GlobalPlatform Library
Group:		Development/Libraries
License:	LGPLv3+
URL:		http://sourceforge.net/projects/globalplatform/
Source0:	http://downloads.sourceforge.net/globalplatform/%{name}-%{version}.tar.gz
Patch0:		gppcscconnectionplugin_cmake_build.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	cmake
BuildRequires:	globalplatform-devel	

%description
This is a PC/SC connection plugin for the GlobalPlatform Library.

%package devel
Summary: Development libraries for gppcscconnectionplugin
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires:	doxygen

%description devel
The gppcscconnectionplugin development package.

%prep
%setup -q 
%patch0 -p1

%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}
(cd src/ && doxygen Doxyfile.cfg)

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING.LESSER README AUTHORS ChangeLog COPYING NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%doc src/Doc/html

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Sun Oct 10 2010 François Kooman <fkooman@tuxed.net> - 1.0.0-1
- initial Fedora package

